# Class Sin2

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Projecter
uk.ac.starlink.ttools.plot2.geom.Sin2

All Implemented Interfaces:
  `Serializable, skyview.Component`

public final class Sin2 extends skyview.geometry.Projecter
Sine (Orthographic) projecter implementation.

This class is copied from the Skyview original class `skyview.geometry.projecter.Sin`. Apart from changing the name to Sin2 (which is significant since some implementation behaviour is name-dependent), it just shuffles the order of the coordinates so that the tangent point is at (1,0,0) instead of (0,0,1).

Author:
  Tom McGlynn, Mark Taylor
See Also:
  - https://skyview.gsfc.nasa.gov/
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Sin2.Sin2Deproj`

## Constructor Summary

Constructors
Constructor
Description
`Sin2()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get a description of the component
`String`
`getName()`
Get the name of the component
`skyview.geometry.Deprojecter`
`inverse()`
Get the inverse transformation
`boolean`
`isInverse(skyview.geometry.Transformer t)`
Is this an inverse of some other transformation?
`final void`
`transform(double[] sphere, double[] plane)`
Project a point from the sphere to the plane.
`boolean`
`validPosition(double[] plane)`

### Methods inherited from class skyview.geometry.Projecter

`allValid, getInputDimension, getOutputDimension, getXTiling, getYTiling, shadowPoint, straddle, straddleable, straddleComponents, tissot`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Sin2

public Sin2()

## Method Details

### getName

public String getName()
Get the name of the component

### getDescription

public String getDescription()
Get a description of the component

### inverse

public skyview.geometry.Deprojecter inverse()
Get the inverse transformation

Specified by:
  `inverse` in class `skyview.geometry.Projecter`

### isInverse

public boolean isInverse(skyview.geometry.Transformer t)
Is this an inverse of some other transformation?

Specified by:
  `isInverse` in class `skyview.geometry.Transformer`

### transform

public final void transform(double[] sphere, double[] plane)
Project a point from the sphere to the plane.

Specified by:
  `transform` in class `skyview.geometry.Transformer`
Parameters:
  `sphere` - a double[3] unit vector
  `plane` - a double[2] preallocated vector.

### validPosition

public boolean validPosition(double[] plane)

Overrides:
  `validPosition` in class `skyview.geometry.Projecter`